<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\MessageHandler\Carrier\Assembler;

use Gls\GlsPoland\PrestaShop\DTO;
use Gls\GlsPoland\PrestaShop\Message\CreateCarrierCommandInterface;

interface CarrierAssemblerInterface
{
    public function assemble(DTO\Carrier $carrier, CreateCarrierCommandInterface $command);
}
